/*
*  spect.java
*
*  SPECT: Simple Portal-Enhancing Configuration Tool
*  Copyright (C) 1999, 2000 Ray Ontko & Co.
*  http://www.ontko.com/
*
*  This program is a simple-to-use configuration tool for Brio.Portal
*  (formerly ReportMart).
*
*  "Brio.Portal" is a trademark of Brio Technology, http://www.brio.com/ .
* 
*
*  This program is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by 
*  the Free Software Foundation; either version 2 of the License, or 
*  (at your option) any later version. 
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of 
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
*  Public License for more details. 
* 
*  A copy of the GPL is available online the GNU web site: 
* 
*    http://www.gnu.org/copyleft/gpl.html
* 
*/ 

/****************************************************************
*
* SPECT: Simple Portal-Enhancing Configuration Tool
*
****************************************************************/
public class spect {

  public static void main(String args[]) {
    RMLoader loader;
    switch (args.length) {
      case 4: 
         loader = new RMLoader(args[0],args[1],args[2], 
                               null, args[3]);
         break;
      case 5: 
         loader = new RMLoader(args[0],args[1],args[2], 
                               new Integer(args[3]), args[4]);
         break;
      default:
        System.out.println("Usage: java spect <user> <pass> <host> " +
                           "[<ServiceBroker port>] <infile>");
    } 
  }

}
